| My Project

Public Member Functions | Public Attributes | List of all members
Persistance.IPersistanceManager Interface Reference

Classe IPersistanceManager décrivant le comportement des différentes instances de persistance More...

Inheritance diagram for Persistance.IPersistanceManager:

## Public Member Functions
List< Requin > List< Requin > List< Requin > reqsEdit | LoadRequins ()
void | SaveRequins (List< Requin > reqs, List< Requin > reqsAdd, List< Requin > reqsEdit)
| Sauvegarde des requins More...
List< Utilisateur > List< Expert > experts | LoadUsers ()
void | SaveUsers (List< Utilisateur > users, List< Expert > experts)
| Sauvegarde des utilisateurs More...
List< String > | LoadFunFacts ()
| Chargement des fun facts More...
void | SaveFunFacts (List< String > funFacts)
| Sauvegarde des fun facts More...

## Public Attributes
List< Requin > | reqs
| Chargement des requins More...
List< Requin > List< Requin > | reqsAdd
List< Utilisateur > | users
| Chargement des utilisateurs More...

## Detailed Description

Classe IPersistanceManager décrivant le comportement des différentes instances de persistance

## Member Function Documentation

## ◆ LoadFunFacts()

List< String > Persistance.IPersistanceManager.LoadFunFacts | ( |  | ) |

Chargement des fun facts

Returns
  List de String les fun facts

Implemented in Persistance.DataContractPersistance, and StubLib.Stub.

## ◆ SaveFunFacts()

void Persistance.IPersistanceManager.SaveFunFacts | ( | List< String > | funFacts | ) |

Sauvegarde des fun facts

Parameters

  funFacts |

Implemented in StubLib.Stub, and Persistance.DataContractPersistance.

## ◆ SaveRequins()

void Persistance.IPersistanceManager.SaveRequins | ( | List< Requin > | reqs,
|  | List< Requin > | reqsAdd,
|  | List< Requin > | reqsEdit
| ) |  |

Sauvegarde des requins

Parameters

  reqs |
  reqsAdd |
  reqsEdit |

Implemented in Persistance.DataContractPersistance, and StubLib.Stub.

## ◆ SaveUsers()

void Persistance.IPersistanceManager.SaveUsers | ( | List< Utilisateur > | users,
|  | List< Expert > | experts
| ) |  |

Sauvegarde des utilisateurs

Parameters

  users |
  experts |

Implemented in Persistance.DataContractPersistance, and StubLib.Stub.

## Member Data Documentation

## ◆ reqs

List<Requin> Persistance.IPersistanceManager.reqs

Chargement des requins

Returns
  List de Requin : une pour les requins de l'application, une pour les requins ajoutés par les utilisateurs, et une pour les requins édités par les utilisateurs

## ◆ users

List<Utilisateur> Persistance.IPersistanceManager.users

Chargement des utilisateurs

Returns
  List d'Utilisateur et d'Expert

The documentation for this interface was generated from the following file:

- Persistance/IPersistanceManager.cs